org.eclipse.mat.ui.snapshot.views

## Class SnapshotOutlinePage

- java.lang.Object
- - org.eclipse.ui.part.Page
  - - org.eclipse.mat.ui.snapshot.views.SnapshotOutlinePage

All Implemented Interfaces:
  ISelectionProvider, IPage, IPageBookViewPage, IContentOutlinePage

Direct Known Subclasses:
  SnapshotOutlinePage.HeapEditorOutlinePage

    public abstract class SnapshotOutlinePage
    extends Page
    implements IContentOutlinePage

### Nested Class Summary

Nested Classes
`static class` `SnapshotOutlinePage.HeapEditorOutlinePage`

### Constructor Summary

Constructors
Constructor and Description
`SnapshotOutlinePage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionChangedListener(ISelectionChangedListener listener)`
`void` `createControl(Composite parent)`
`Control` `getControl()`
`ISelection` `getSelection()`
`void` `init(IPageSite pageSite)`
`void` `removeSelectionChangedListener(ISelectionChangedListener listener)`
`void` `setFocus()`
`void` `setSelection(ISelection selection)`

### Methods inherited from class org.eclipse.ui.part.Page

`dispose, getSite, makeContributions, setActionBars`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.part.IPage

`dispose, setActionBars`

### Constructor Detail

#### SnapshotOutlinePage

    public SnapshotOutlinePage()

### Method Detail

#### createControl

    public void createControl(Composite parent)

Specified by:
  `createControl` in interface `IPage`
Specified by:
  `createControl` in class `Page`

#### getControl

    public Control getControl()

Specified by:
  `getControl` in interface `IPage`
Specified by:
  `getControl` in class `Page`

#### setFocus

    public void setFocus()

Specified by:
  `setFocus` in interface `IPage`
Specified by:
  `setFocus` in class `Page`

#### addSelectionChangedListener

    public void addSelectionChangedListener(ISelectionChangedListener listener)

Specified by:
  `addSelectionChangedListener` in interface `ISelectionProvider`

#### getSelection

    public ISelection getSelection()

Specified by:
  `getSelection` in interface `ISelectionProvider`

#### removeSelectionChangedListener

    public void removeSelectionChangedListener(ISelectionChangedListener listener)

Specified by:
  `removeSelectionChangedListener` in interface `ISelectionProvider`

#### setSelection

    public void setSelection(ISelection selection)

Specified by:
  `setSelection` in interface `ISelectionProvider`

#### init

    public void init(IPageSite pageSite)

Specified by:
  `init` in interface `IPageBookViewPage`
Overrides:
  `init` in class `Page`